# coding: utf-8

require 'observer'

class AddCardModel

	include Observable

	def initialize
		@card_str = nil
	end

	def update(command, args)
		begin
			args = [@card_str] unless args[0]
			self.send command, *args
		rescue
			# mȂR}h͖
		end
	end

	def selchanged(str)
		@card_str = str
	end

	def add(str)
		if str
			self.changed
			self.notify_observers :add, [str]
		end
	end

	def add_sb(str)
		self.add(@@sb_pre_mark + str + @@sb_post_mark)
	end

	def AddCardModel.sb?(str)
		/^#{Regexp.escape(@@sb_pre_mark)}.+#{Regexp.escape(@@sb_post_mark)}$/.match(str)
	end

end
