# coding: utf-8

require 'vr/vruby'
require 'vr/vrcontrol'

require 'my_richedit'

class CardDetailView < VRPanel

	TEXT = 'カード詳細'.encode('Windows-31J')
	FONT = 'ＭＳ ゴシック'.encode('Windows-31J')

	def construct
		addControl VRStatic, 'text', TEXT, *@@text_pos
		addControl MyRichedit, 'textbox1', '', *@@textbox_pos
		addControl MyRichedit, 'textbox2', '', *@@textbox_pos
		@textbox2.hide
		@textbox_array = [@textbox1, @textbox2]
		@num = 1
		@text.setFont @screen.factory.newfont *@@text_font
	end

	def update(command, args)
		self.send command, *args
	end

	def refresh(card)
		paint @textbox_array[@num], card
		@textbox_array[@num].show
		@num = 1 - @num
		@textbox_array[@num].hide
	end

end
