# coding: utf-8

require 'observer'

class DeckDetailModel

	include Observable

	def initialize(database)
		@database = database
	end

	def update(command, args)
		self.send command, *args
	end

	def refresh(deck)
		detail = deck2detail deck
		self.changed
		self.notify_observers :refresh, [detail]
	end

end
