# coding: utf-8

require 'observer'

class SearchComboModel

	include Observable

	def update(command, args)
		begin
			self.send command, *args
		rescue
			# 知らないコマンドは無視
		end
	end

	def search(text)
		block = get_block text
		self.changed
		self.notify_observers :search, [get_index, block]
	end

end
