# coding: utf-8

require 'vr/vruby'
require 'vr/vrcontrol'

require 'my_richedit'

class DeckDetailView < VRPanel

	TEXT = 'デッキ詳細'.encode('Windows-31J')
	FONT = 'ＭＳ ゴシック'.encode('Windows-31J')

	def construct
		addControl VRStatic, 'text', TEXT, *@@text_pos
		addControl MyRichedit, 'textbox1', '', *@@textbox1_pos
		addControl MyRichedit, 'textbox2', '', *@@textbox2_pos
		@text.setFont @screen.factory.newfont *@@text_font
	end

	def update(command, args)
		self.send command, *args
	end

	def refresh(detail)
		paint @textbox1, @textbox2, detail
	end

end
